# Enum Class VulkanBorderColor

java.lang.Object
java.lang.Enum<VulkanBorderColor>
com.io7m.jcoronado.api.VulkanBorderColor

All Implemented Interfaces:
  `VulkanEnumIntegerType`, `Serializable`, `Comparable<VulkanBorderColor>`, `Constable`

public enum VulkanBorderColor extends Enum<VulkanBorderColor> implements VulkanEnumIntegerType

See Also:
  - "VkBorderColor"

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_BORDER_COLOR_FLOAT_OPAQUE_BLACK`
  Specifies an opaque, floating-point format, black color.
  `VK_BORDER_COLOR_FLOAT_OPAQUE_WHITE`
  Specifies an opaque, floating-point format, white color.
  `VK_BORDER_COLOR_FLOAT_TRANSPARENT_BLACK`
  Specifies a transparent, floating-point format, black color.
  `VK_BORDER_COLOR_INT_OPAQUE_BLACK`
  Specifies an opaque, integer format, black color.
  `VK_BORDER_COLOR_INT_OPAQUE_WHITE`
  Specifies an opaque, integer format, white color.
  `VK_BORDER_COLOR_INT_TRANSPARENT_BLACK`
  Specifies a transparent, integer format, black color.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static VulkanBorderColor`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanBorderColor[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_BORDER_COLOR_FLOAT_TRANSPARENT_BLACK

    public static final VulkanBorderColor VK_BORDER_COLOR_FLOAT_TRANSPARENT_BLACK
    Specifies a transparent, floating-point format, black color.

  - ### VK_BORDER_COLOR_INT_TRANSPARENT_BLACK

    public static final VulkanBorderColor VK_BORDER_COLOR_INT_TRANSPARENT_BLACK
    Specifies a transparent, integer format, black color.

  - ### VK_BORDER_COLOR_FLOAT_OPAQUE_BLACK

    public static final VulkanBorderColor VK_BORDER_COLOR_FLOAT_OPAQUE_BLACK
    Specifies an opaque, floating-point format, black color.

  - ### VK_BORDER_COLOR_INT_OPAQUE_BLACK

    public static final VulkanBorderColor VK_BORDER_COLOR_INT_OPAQUE_BLACK
    Specifies an opaque, integer format, black color.

  - ### VK_BORDER_COLOR_FLOAT_OPAQUE_WHITE

    public static final VulkanBorderColor VK_BORDER_COLOR_FLOAT_OPAQUE_WHITE
    Specifies an opaque, floating-point format, white color.

  - ### VK_BORDER_COLOR_INT_OPAQUE_WHITE

    public static final VulkanBorderColor VK_BORDER_COLOR_INT_OPAQUE_WHITE
    Specifies an opaque, integer format, white color.

- ## Method Details

  - ### values

    public static VulkanBorderColor[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanBorderColor valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()
    Specified by:
      `value` in interface `VulkanEnumIntegerType`
    Returns:
      The integer value of the constant